/*-----------------------------------------------------------------
	Articles & Cards
------------------------------------------------------------------- */

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* TOP THINGS */

top,
resto,
hotel,
bar {
	  padding-top: 50%; 
	  margin-top: 50%;
	  font-weight: bolder;
	  color: var(--selection-color);
}

.top-element,
.resto-element {
	color: var(--text-color);
}

.top-element:hover,
.resto-element:hover {
	color: var(--selection-color);
}

.top-star,
.resto-star {
	color: var(--yellow-color);
}

.pacifico-regular {
	font-family: "Pacifico", cursive;
	font-weight: 400;
	font-style: normal;
}

.calligraphic {
    font-family: "Dancing Script", cursive;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

/* SEPARATOR */

.custom-shape-divider-bottom {
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
}

.custom-shape-divider-bottom svg, .custom-shape-divider-top svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 150px;
    transform: rotateY(180deg);
}

.custom-shape-divider-top {
    width: 100%;
    overflow: hidden;
    line-height: 0;
	background-color: rgba(38, 38, 38)!important;
}

.custom-shape-divider-top .shape-fill, .custom-shape-divider-bottom .shape-fill {
    fill: var(--food-color)  ;
}

.playfair-display {
    font-family: 'Playfair Display', serif;
}

.title-sections {
	font-size: 7vw;
	width: 100%;
    margin-bottom: 20px;
	text-align: center;
    position: relative;
    display: inline-block;
}

/* Soulignement animé au survol */
.title-sections::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0px;
    width: 25%;
    height: 2px;
    background: var(--red-color);
    transition: width 0.3s ease, left 0.3s ease;
    transform: translateX(-50%);
}

.title-sections:hover::after {
    width: 50%;
}

.main-article .card-img-top {
    height: 400px;
    object-fit: cover;
}

.secondary-article .card-img-top {
	object-fit: cover;
	display: block;
}

.card {
    border: none;
	background-color: transparent!important;
    transition: transform 0.3s ease;
}

.card:hover {
    transform: scale(1.05);
}

.card-test{
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.card-test:hover .overlay {
	opacity: 1 !important;
}

.top-articles-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.top-article-card {
    position: relative;
    width: 320px;
    height: 250px;
    overflow: hidden;
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
	margin-bottom: 50px;
}

.top-article-card:hover {
    transform: scale(1.05);
}

.article-link {
    text-decoration: none;
    color: inherit;
    display: block;
    width: 100%;
    height: 100%;
}

.article-image {
    width: 100%;
    height: 100%;
	box-shadow: 0 4px 10px rgba(0, 0, 0, 1.2);
    background-size: cover;
    background-position: center;
    transition: filter 0.3s ease-in-out;
}

.article-title {
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px 15px;
    border-radius: 10px;
    font-size: 1.2rem;
    text-align: center;
    width: 80%;
}

.view-counter {
    position: absolute;
    top: 10px;
    left: 10px;
    background: rgba(2, 160, 29, 0.75);
    color: white;
    width: auto;
    padding: 5px 12px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    gap: 5px;
    font-weight: bold;
    font-size: 0.9rem;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
	z-index: 99;
}

.view-counter i {
    font-size: 1rem;
}

.wp-block-image a {
	position: relative;
}
